<?php
// Set CORS headers
header('Content-Type: application/json; charset=UTF-8');
header('Access-Control-Allow-Origin: *'); // Adjust origin as needed
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Methods, Authorization, X-Requested-With');

// Check if it's a preflight request and respond with 200 OK
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

include "config.php";
date_default_timezone_set("Asia/Kolkata");
$withdata = array();
$_POST = json_decode(file_get_contents("php://input"), true);
$mid = $_POST['code']; // mandal id

// Create SQL query based on presence of $mid
$sql = "SELECT ao.*, co.*
        FROM `agentOrder` AS ao
        JOIN `refUser` AS co ON ao.`agentCode` = co.`code`";
if (!empty($mid)) {
    $sql .= " WHERE co.`code` = '$mid'";
}

$total = 0;
$wtotal = 0;
$run = mysqli_query($conn, $sql);

if (!$run) {
    echo json_encode(["message" => "Error fetching data from database", "error" => mysqli_error($conn)]);
    exit;
}

$tdata = array(); // Initialize an empty array to store data

while ($row = mysqli_fetch_assoc($run)) {
    $ids = $row['id'];
    $data = array(
        "id" => $row['id'],
        "orderid" => $row['oid'],
        "price" => $row['bonus'],
        "date" => $row['date'],
        "name" => $row['name'],
        "code" => $row['code']
    );

    // Fetch the total approved withdrawal amount for the agent
    $query = "SELECT SUM(amount) as total_withdraw FROM `withdraw` WHERE `agentId`='$ids' AND `status`='APPROVED'";
    $rq = mysqli_query($conn, $query);

    if ($rq) {
        $nq = mysqli_fetch_assoc($rq);
        $with = $nq['total_withdraw'];
    } else {
        $with = 0; // Default to 0 if the query fails
    }

    $total += $row['bonus'];
    $wtotal += $with; // Add the withdrawal amount to the total withdrawal

    // Fetch all withdrawal details for the agent
    $withdrawals = [];
    $withdrawQuery = "SELECT * FROM `withdraw` WHERE `agentId`='$ids'";
    $withdrawResult = mysqli_query($conn, $withdrawQuery);

    if ($withdrawResult) {
        while ($withdrawRow = mysqli_fetch_assoc($withdrawResult)) {
            $withdrawals[] = $withdrawRow;
        }
    }

    $withdata = $withdrawals; // Add withdrawal details to the data array

    $tdata[] = $data; // Add each row data to the $tdata array
}

$trans_msg = "radha";

echo json_encode(["message" => $trans_msg, "result" => $tdata, "total" => $total, "withdraw" => $wtotal ,"wdata"=>$withdata]);

?>
