<?php
header('Content-Type: application/json; charset=UTF-8');
header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With');


include "config.php";
date_default_timezone_set("Asia/Kolkata");

// // Check if it's a preflight request and respond with 200 OK
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}


// Initialize an array to store the result data
$tdata = array();

// Query to fetch checkout data
$tsql = "SELECT * FROM checkout ORDER BY id DESC";

$tresult = mysqli_query($conn, $tsql);
if ($tresult) {
    while ($trow = mysqli_fetch_assoc($tresult)) {
        // Fetch order details for each checkout
        $oid = $trow['orderid'];
        $sql = "SELECT * FROM `order` WHERE orderid='$oid'";
        $order_result = mysqli_query($conn, $sql);
        $count = mysqli_num_rows($order_result);

        // Prepare data for response
        $data = array(
            "id" => $trow['id'],
            "orderid" => $trow['orderid'],
            "price" => $trow['total'],
            "date" => $trow['date'],
            "item_count" => $count,
            "status" => $trow['shipping'],
            "name" => $trow['name'],
            "address" => $trow['ad1']." ".$trow['ad2'],
            "city" => $trow['city'],
                    "paymethod" => $trow['pay_method'],
                                        "st" => $trow['status'],

            "state" => $trow['state'],
            "email" => $trow['email'],
            "mobile" => $trow['mobile']
        );

        // Add data to the result array
        $tdata[] = $data;
    }

    // Check if any data is fetched
    if (!empty($tdata)) {
        echo json_encode(["message" => "radha", "result" => $tdata]);
    } else {
        echo json_encode(["message" => "No transactions found", "result" => []]);
    }
} else {
    // Error handling if query fails
    echo json_encode(["message" => "Error executing query", "result" => []]);
}

// Close database connection
// mysqli_close($conn);
?>
