<?php


// Include database configuration file
include "config.php";


// Initialize data array
$data = array();

// Fetch distinct categories from the products table
$categoryQuery = "SELECT DISTINCT `category` FROM `products` WHERE `active` = 0";
// $categoryQuery = "SELECT *
// FROM `products`
// WHERE `active` = 0 AND 
// (`name` LIKE '%SET OF 10%' OR 
//  `name` LIKE '%SET OF 8%' OR 
//  `name` LIKE '%SET OF 6%' OR 
//  `name` LIKE '%SET OF 4%' OR 
//  `name` LIKE '%SET OF 2%')";

$categoryResult = mysqli_query($conn, $categoryQuery);

if (!$categoryResult) {
    // If query fails, return error
    $error = "Error: " . mysqli_error($conn);
    echo json_encode(["error" => $error]);
} else {
    // Loop through each category
    while ($categoryRow = mysqli_fetch_assoc($categoryResult)) {
        $category = $categoryRow['category'];
        
        // Initialize category data array
        $categoryData = array();
        
        // Query to fetch products for the current category
        $query = "SELECT * FROM `products` WHERE `category` = '$category' AND `active` = 0 ORDER BY RAND() LIMIT 6";

        $result = mysqli_query($conn, $query);

        if (!$result) {
            // If query fails, return error
            $error = "Error: " . mysqli_error($conn);
            echo json_encode(["error" => $error]);
        } else {
            // Loop through each product in the category
            while ($row = mysqli_fetch_assoc($result)) {
                $productId = $row['id'];
                $net = $row['net'];
                $gross = $row['gross'];
                $pprice = $row['price'];
        
                $fgst = $pprice * 0.03;
                $price = $pprice + $fgst;
                $discount = $row['dis_price'] + $row['dis_price'] * 0.03;
        
                $images = array(
                    array("image_id" => 1101, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img2']),
                    array("image_id" => 1111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img1']),
                    array("image_id" => 1121, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $row['img'])
                );
        
                $variants = array(
                    array("image_id" => 110, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img']),
                    array("image_id" => 111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img1']),
                    array("image_id" => 112, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $row['img2'])
                );
        
               
                $categoryData[] = array(
                    
                        "id" => $row['id'],
                        "img" => $imgpath."/Products/" . $row['img'],
                        "price" => round($price),
                        "title" => $row['name'],
                        "new" => true,
                        "sale" => true,
                        "discount" => round($discount),
                        "category" => $row['category'],
                        "desc" => $row['description'],
                        "total_price" => $price,
                        "type" => $pprice,
                        "images" => $images,
                        "net" => $net,
                        "gross" => $gross,
                        "variants" => $variants,
                        "tags" => array("s", "l", "white", "skyblue", "madame"),
                        "stock" => $row['stock']
                    
                );
            }

            $totalCount = count($categoryData);
            if ($totalCount > 0) {
                // Append category data to main data array
                $data[] = array(
                    "category" => $category,
                    "products" => $categoryData,
                    "total" => $totalCount
                );
            }
        }
    }
    
    // Check if any data was fetched
    if (!empty($data)) {
        // Return main data array containing data for all categories
        echo json_encode(["message" => "radha", "result" => $data]);
    } else {
        // If no products found, return message
        echo json_encode(["message" => "No Products Found"]);
    }
}
?>
