<?php

// Include database configuration file
include "config.php";

// Initialize data array
$data = array();

// Define the category
$categoryId = 6;

// Initialize category data arrays
$setOf10 = array();
$setOf8 = array();
$setOf6 = array();
$setOf4 = array();
$setOf2 = array();
$other = array();
$bracelet = array();
$rings = array();
$statue = array();
$necklace = array();
$chain = array();
$rakhi = array();
$rakhi = array();
$custom = array();
// Queries to fetch products for the current category with the name patterns
$queries = [
    "SET OF 10" => "SELECT * FROM products WHERE (category = '4' OR category = '8' OR category = '15') AND active = 0  ORDER BY RAND() LIMIT 6",
    "SET OF 8" => "SELECT * FROM products WHERE (category = '7' OR category = '1' OR category = '15') AND active = 0  ORDER BY RAND() LIMIT 6",
    "SET OF 6" => "SELECT * FROM products WHERE category = '$categoryId' AND active = 0 AND name LIKE '%SET OF 6%' ORDER BY RAND() LIMIT 6",
    "SET OF 4" => "SELECT * FROM products WHERE category = '$categoryId' AND active = 0 AND name LIKE '%SET OF 4%' ORDER BY RAND() LIMIT 6",
    "SET OF 2" => "SELECT * FROM products WHERE category = '$categoryId' AND active = 0 AND name LIKE '%SET OF 2%' ORDER BY RAND() LIMIT 6",
    "custom" => "SELECT * FROM products WHERE category = '$categoryId' AND active = 0 AND name LIKE '%PERSONA%' ORDER BY RAND() LIMIT 6",
    "rakhi" => "SELECT * FROM products WHERE category = '$categoryId' AND active = 0 AND name NOT LIKE '%SET OF%' AND type != 12 ORDER BY RAND() LIMIT 6",
    "bracelet" => "SELECT * FROM products WHERE category = '15' AND active = 0 ORDER BY RAND() LIMIT 6",
    "rings" => "SELECT * FROM products WHERE category = '4' AND active = 0 ORDER BY RAND() LIMIT 6",
    "statue" => "SELECT * FROM products WHERE (category = '11' OR category='26') AND active = 0 ORDER BY RAND() LIMIT 6",
    "necklace" => "SELECT * FROM products WHERE (category = '7' OR category = '1') AND active = 0 ORDER BY RAND() LIMIT 6",
    "chain" => "SELECT * FROM products WHERE category = '3' AND active = 0 ORDER BY RAND() LIMIT 6",
    "other" => "SELECT * FROM products WHERE (category = '1' OR category='15' OR category='4') AND gender='Female' AND active = 0 ORDER BY RAND() LIMIT 6",
];


// Loop through each query
foreach ($queries as $setName => $query) {
    $result = mysqli_query($conn, $query);

    if (!$result) {
        // If query fails, return error
        $error = "Error: " . mysqli_error($conn);
        echo json_encode(["error" => $error]);
        exit;
    }

    // Loop through each product in the result
    while ($row = mysqli_fetch_assoc($result)) {
        $productId = $row['id'];
        $net = $row['net'];
        $gross = $row['gross'];
        $pprice = $row['price'];

        $fgst = $pprice * 0.03;
        $price = $pprice + $fgst;
        $discount = $row['dis_price'] + $row['dis_price'] * 0.03;

        $images = array(
            array("image_id" => 1101, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img']),
            array("image_id" => 1111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img1']),
            array("image_id" => 1121, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $row['img2'])
        );

        $variants = array(
            array("image_id" => 110, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img']),
            array("image_id" => 111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img1']),
            array("image_id" => 112, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $row['img2'])
        );

        $productData = array(
            "id" => $row['id'],
            "img" => $imgpath."/Products/" . $row['img'],
            "price" => round($price),
            "title" => $row['name'],
            "new" => true,
            "sale" => true,
            "discount" => round($discount),
            "category" => $row['category'],
            "desc" => $row['description'],
            "total_price" => $price,
            "type" => $pprice,
            "images" => $images,
            "net" => $net,
            "gross" => $gross,
            "variants" => $variants,
            "tags" => array("s", "l", "white", "skyblue", "madame"),
            "stock" => $row['stock']
        );

        // Append product data to the respective array
        switch ($setName) {
            case "SET OF 10":
                $setOf10[] = $productData;
                break;
            case "SET OF 8":
                $setOf8[] = $productData;
                break;
            case "SET OF 6":
                $setOf6[] = $productData;
                break;
            case "SET OF 4":
                $setOf4[] = $productData;
                break;
            case "SET OF 2":
                $setOf2[] = $productData;
                break;
            case "other":
                $other[] = $productData;
                break;
            case "rakhi":
                $rakhi[] = $productData;
                break;
            case "bracelet":
                $bracelet[] = $productData;
                break;
            case "rings":
                $rings[] = $productData;
                break;
            case "statue":
                $statue[] = $productData;
                break;
            case "necklace":
                $necklace[] = $productData;
                break;
            case "chain":
                $chain[] = $productData;
                break;
            case "custom":
                $custom[] = $productData;
                break;
            
        }
    }
}

// Add each set data array to the main data array
if (!empty($setOf10)) {
    $data[] = array(
        "set" => "SET OF 10",
        "products" => $setOf10,
        "total" => count($setOf10)
    );
}
if (!empty($setOf8)) {
    $data[] = array(
        "set" => "SET OF 8",
        "products" => $setOf8,
        "total" => count($setOf8)
    );
}
if (!empty($setOf6)) {
    $data[] = array(
        "set" => "SET OF 6",
        "products" => $setOf6,
        "total" => count($setOf6)
    );
}
if (!empty($setOf4)) {
    $data[] = array(
        "set" => "SET OF 4",
        "products" => $setOf4,
        "total" => count($setOf4)
    );
}
if (!empty($setOf2)) {
    $data[] = array(
        "set" => "SET OF 2",
        "products" => $setOf2,
        "total" => count($setOf2)
    );
}
if (!empty($other)) {
    $data[] = array(
        "set" => "Other",
        "products" => $other,
        "total" => count($other)
    );
}
if (!empty($rakhi)) {
    $data[] = array(
        "set" => "Rakhi",
        "products" => $rakhi,
        "total" => count($other)
    );
}
if (!empty($bracelet)) {
    $data[] = array(
        "set" => "Bracelet",
        "products" => $bracelet,
        "total" => count($bracelet)
    );
}
if (!empty($rings)) {
    $data[] = array(
        "set" => "Rings",
        "products" => $rings,
        "total" => count($rings)
    );
}
if (!empty($statue)) {
    $data[] = array(
        "set" => "Statue",
        "products" => $statue,
        "total" => count($statue)
    );
}
if (!empty($necklace)) {
    $data[] = array(
        "set" => "Necklace",
        "products" => $necklace,
        "total" => count($necklace)
    );
}
if (!empty($chain)) {
    $data[] = array(
        "set" => "Chain",
        "products" => $chain,
        "total" => count($chain)
    );
}
if (!empty($custom)) {
    $data[] = array(
        "set" => "Custom",
        "products" => $custom,
        "total" => count($custom)
    );
}

// Check if any data was fetched
if (!empty($data)) {
    // Return main data array containing data for all sets
    echo json_encode(["message" => "radha", "result" => $data]);
} else {
    // If no products found, return message
    echo json_encode(["message" => "No Products Found"]);
}

?>
