<?php

date_default_timezone_set("Asia/Kolkata");
// include 'config.php';
require ("utils/MiddleWare.php");

$oid = $req['oid'];
$uid = $req['uid'];

// Function to calculate making charges based on weight
function calculateMakingCharges($weight)
{
    if ($weight > 0.000 && $weight < 0.500) {
        return $weight * 1400;
    } elseif ($weight > 0.510 && $weight < 0.800) {
        return $weight * 1650;
    } elseif ($weight > 0.810 && $weight < 1.000) {
        return $weight * 2050;
    } elseif ($weight > 1.010 && $weight < 1.400) {
        return $weight * 2350;
    } elseif ($weight > 1.410 && $weight < 1.900) {
        return $weight * 2600;
    } elseif ($weight > 1.910 && $weight < 2.200) {
        return $weight * 2850;
    } else {
        return $weight * 1500;
    }
}

// Function to create authentication token
function createToken()
{
    $data = array(
        'email' => 'shrutinilesh7904@gmail.com',
        'password' => 'Nilesh@1234'
    );

    $url = 'https://shipment.xpressbees.com/api/users/login';

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));

    $response = curl_exec($ch);
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    if ($httpcode == 200) {
        $responseData = json_decode($response, true);
        return $responseData['data']; // Return the token
    } else {
        return null; // Return null if token retrieval fails
    }
}

// Function to schedule ExpressBees pickup
function scheduleExpressBeesPickup($awb, $token)
{

    $expressBeesApiUrl = 'https://shipment.xpressbees.com/api/shipments2/track/24344980519321';

    // Make API call to schedule pickup
    $ch = curl_init($expressBeesApiUrl);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt(
        $ch,
        CURLOPT_HTTPHEADER,
        array(
            'Content-Type: application/json',
            'Authorization: Bearer ' . $token
        )
    );

    $response = curl_exec($ch);
    curl_close($ch);

    $responseData = json_decode($response, true);
    return $responseData; // Return response data
}

$sql = "SELECT products.*, `order`.pid ,`order`.price AS oprice,`order`.dis_price AS odis FROM products
        LEFT JOIN `order` ON products.id = `order`.pid
        WHERE `order`.orderid = '$oid' AND `order`.uid='$uid'";

$result = mysqli_query($conn, $sql);
$returnData = array();
$totalPrice = 0;
$totalDiscount = 0;

while ($row = mysqli_fetch_array($result)) {
    // Retrieve product details
    $net = $trow['net'];
    $gross = $row['gross'];
    $dgm = $row['d_gm'];
    $dkarat = $row['d_karat'];
    $material = $row['type'];

    $mprice = $row['oprice'];

    $dQuery = "SELECT * FROM material WHERE id='5'";
    $dResult = mysqli_query($conn, $dQuery);
    $drow = mysqli_fetch_array($dResult);
    $dprice = $drow['price'];
    $dname = $drow['name'];
    $dtotal = $dprice * $dgm;



    // Calculate making charges
    $making = calculateMakingCharges($net);
    $mm = $making / 2;
    $mdis = $row['odis'];


    // Calculate total amount
    $total = $net * $mprice + $mm;

    // Calculate discount
    $discount = $net * $mprice + $making;

    // Update total price and total discount
    $totalPrice += $mprice;
    $totalDiscount += $mdis;

    // Add product data to return data array
    $returnData[] = array(
        "cwid" => $row['cwid'],
        "name" => $row['name'],
        "total" => round($row['oprice']),
        "discount" => round($row['odis']),
        "material" => $row['material'],
        "qau" => $row['qau'],
        "img" => $imgpath . "/Products/" . $row['img'],
        "pid" => $row['id']
    );
}

// Fetch shipping details
$tsql = "SELECT * FROM `checkout` WHERE `orderid`='$oid' AND `uid`='$uid'";
$tresult = mysqli_query($conn, $tsql);
$shippingResponse = "";

if ($tresult->num_rows > 0) {
    while ($trow = $tresult->fetch_assoc()) {
        $awb = $trow['awb'];
        $token = createToken(); // Get token

        $shippingResponse = scheduleExpressBeesPickup($awb, $token);

        // Add transaction data to return data array
        $tsdata[] = array(
            "id" => $trow['id'],
            "orderid" => $trow['orderid'],
            "price" => $trow['total'],
            "ad1" => $trow['ad1'],
            "ad2" => $trow['ad2'],
            "name" => $trow['name'],
            "date" => $trow['date'],
            "city" => $trow['city'],
            "mobile" => $trow['mobile'],
            "email" => $trow['email'],
            "state" => $trow['state'],
            "pincode" => $trow['pincode'],
            "item_count" => $trow['item_count'],
            "status" => $trow['shipping'],
            "coupon" => $trow['coupon'],
            "mode" => $trow['pay_method'],
            "awb" => $trow['awb'],
            "sid" => $trow['shipping'],
            "shipping" => 0,
            "total" => round($totalPrice),
            "discount" => round($totalDiscount)
        );
    }
    $trans_msg = "radha";

} else {
    $trans_msg = "notrans";
}

// Encode and return response data
echo json_encode(["message" => $trans_msg, "trans_result" => $tsdata, "data" => $returnData, "shipment" => $shippingResponse]);
